usb_put_intf
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_put_intf — release a use of the usb interface structure

## Synopsis

`void usb_put_intf (` | struct usb_interface * | intf`)`;

## Arguments

`intf`

  interface that's been decremented

## Description

Must be called when a user of an interface is finished with it. When the last user of the interface calls this function, the memory of the interface is freed.

Prev | Up | Next
usb_get_intf | Home | usb_lock_device_for_reset